aboutsummaryrefslogtreecommitdiffstats
path: root/searx/morty
diff options
context:
space:
mode:
Diffstat (limited to 'searx/morty')
-rw-r--r--searx/morty/Dockerfile13
-rwxr-xr-xsearx/morty/run.sh7
2 files changed, 20 insertions, 0 deletions
diff --git a/searx/morty/Dockerfile b/searx/morty/Dockerfile
new file mode 100644
index 0000000..59da7b4
--- /dev/null
+++ b/searx/morty/Dockerfile
@@ -0,0 +1,13 @@
+FROM alpine:3.13 as builder
+RUN apk update && apk upgrade && apk add go git
+RUN git clone https://github.com/asciimoo/morty
+RUN cd morty && go build
+
+FROM alpine:3.13
+COPY --from=builder /morty/morty /usr/local/morty/
+RUN apk --no-cache add ca-certificates \
+&& rm -f /var/cache/apk/* \
+&& adduser -D -h /usr/local/morty -s /bin/false morty morty
+USER morty
+ENV DEBUG=true
+EXPOSE 3000
diff --git a/searx/morty/run.sh b/searx/morty/run.sh
new file mode 100755
index 0000000..8774336
--- /dev/null
+++ b/searx/morty/run.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+set -e
+set -x
+
+# docker buildx create --name armbuilder
+docker buildx use armbuilder
+docker buildx build --push --platform linux/arm/v7,linux/arm/v8,linux/amd64 --tag bloodstalker/morty .